package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;
import jsetl.exception.Failure;

public class Es11_RisConstraints {

	private static Solver solver = new Solver();
	public static void main (String[] args) throws Failure {
		IntLVar x = new IntLVar();
		Ris R = new Ris(x,new IntLSet(-2,2),x.mod(2).eq(0));

		LSet S = LSet.empty().ins(-2,0,2);
		solver.add(R.eq(S));    // \{x:[-2,2] \(|\) x mod 2 = 0 \(@\) x\} = \{-2,0,2\}
		LVar y = new LVar(1);
		solver.add(y.nin(R));   // 1 nin \{x:[-2,2] \(|\) x mod 2 = 0 \(@\) x\}

		solver.solve();
		solver.showStore();

	}

}

/*
Store: []
*/