package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;
import jsetl.exception.Failure;

public class Es12i_RisConstraintSolving{

	private static Solver solver = new Solver();

	public static void main (String[] args) throws Failure {
		IntLVar x = new IntLVar("x");
		LSet D = new LSet("D");
		Ris R = new Ris(x,D,x.mod(2).eq(0));
		LSet S = LSet.empty().ins(2,4,6); // S = \{2,4,6\}
		solver.solve(S.eq(R));
		D.output();
		solver.showStore();

	}

}

/*
_D = {2,4,6/_N24}
Store: { _x : _N24 | _N1 = 0 AND _N1 = _x mod 2 @ _x } = {}
*/