package jsetlPaperPrograms.usingRIS2020;

import jsetl.IntLVar;
import jsetl.LSet;
import jsetl.Ris;
import jsetl.Solver;
import jsetl.exception.Failure;

public class Es12ii_RisConstraintSolving {

	private static Solver solver = new Solver();

	public static void main (String[] args) throws Failure {
		LSet A = new LSet(), B = new LSet(), C = new LSet();
		IntLVar x = new IntLVar();
		solver.add(A.eq(new Ris(x,new LSet(),x.neq(0))));
		solver.add(A.union(B,C).and(A.disj(C)));
		solver.add(A.neq(LSet.empty()));
		solver.solve(); //the constraint is unsatisfiable, must fail

	}

}

/*
Exception in thread "main" jsetl.exception.Failure
	at jsetl.Solver.solveLevel(Solver.java:606)
	at jsetl.Solver.solve(Solver.java:512)
	at jsetl.Solver.solve(Solver.java:321)
	at Es12ii_RisConstraintSolving.main(Es12ii_RisConstraintSolving.java:17)


*/