package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;
import java.util.Scanner;

public class Es15_isPrime {

	private static Solver solver = new Solver();

	public static Boolean isPrime(int n) {
		if (n <= 1) return false;
		IntLVar x = new IntLVar();
		Ris R = new Ris(x,new IntLSet(2,n/2),new IntLVar(n).mod(x).eq(0));
		return solver.check(R.eq(LSet.empty()));
   }

	public static void main (String[] args) {
		System.out.print("Enter an integer number: ");
		Scanner sc = new Scanner(System.in);
		int n = sc.nextInt();
		if (isPrime(n))
			System.out.println(n + " is prime");
		else
			System.out.println(n + " isn't prime");
		sc.close();

	}
}

/*
Enter an integer number: 101
101 is prime
*/