package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;
import jsetl.exception.Failure;

public class Es18_theoremProver {

	private static Solver solver = new Solver();

	public static void main (String[] args) throws Failure {
		LSet A = new LSet(), B = new LSet(), C = new LSet();
		solver.add(A.inters(B,C));      // the constraint C \(=\) A \(\cap\) B
		LVar x = new LVar();
		Ris R = new Ris(x,A,x.in(B));   // R \(=\) \{x:A \(|\) x \(\in\) B\}
		solver.add(R.neq(C));           // the constraint R \(\neq\) C
		solver.solve(); //the constraint is unsatisfiable: it should fail
	}

}
/*
Exception in thread "main" jsetl.exception.Failure
	at jsetl.Solver.solveLevel(Solver.java:606)
	at jsetl.Solver.solve(Solver.java:512)
	at jsetl.Solver.solve(Solver.java:321)
	at Es18_theoremProver.main(Es18_theoremProver.java:14)


*/