package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;
import jsetl.exception.Failure;

public class Es22_Factorial {

	private static Solver solver = new Solver();

	public static void main (String[] args) throws Failure {
		LSet fact = new LSet();
		IntLVar x = new IntLVar(), z = new IntLVar();
		Constraint C = x.gt(0).and(new LPair(x.sub(1),z).in(fact));
		Ris R_fact = new Ris(x,new LSet(),C,new LPair(x,z.mul(x)),z);
		solver.add(fact.eq(R_fact.ins(new LPair(0,1))));

		IntLVar ff = new IntLVar("ff");
		solver.solve(new LPair(5,ff).in(fact));
		ff.output();

		IntLVar n = new IntLVar("n");
		solver.solve(new LPair(n,120).in(fact));
		n.output();
	}

}
/*
_ff = 120
_n = 5
*/