package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;

public class Es23_ReachableNodes {

	public static LSet reachable(LSet N, LRel E, LVar n){
		LVar x = new LVar("x");
		LVar y = new LVar("y");
		LSet R = new LSet();
		Ris R_R = new Ris(x,N,x.eq(n)
				.or(y.in(R).and(new LPair(y,x).in(E))),x,y);
		R.eq(R_R).check();
		return R_R.expand();
	}

	public static void main (String[] args) {
		Integer[] nodesArray = {1,2,3,4,5,6};
		LPair[] edgesArray = {new LPair(1,2), new LPair(1,3),
				new LPair(2,5), new LPair(4,6)};
		LSet Nodes = LSet.empty().insAll(nodesArray);
		LRel Edges = LRel.empty().insAll(edgesArray);
		LVar start = new LVar(1);
		reachable(Nodes,Edges,start).setName("Reachable").output();
	}

}
/*
_Reachable = {1,2,3,5}
*/