package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;
import jsetl.exception.Failure;

public class Es6_ConstraintSolving {

	public static void main (String[] args) throws Failure {
		LSet S1 = LSet.empty().ins(1,new LVar("z"));  // the set \{1,z\}
		LVar x = new LVar("x"), y = new LVar("y");
		LSet S2 = LSet.empty().ins(x,y);       // the set \{x,y\}
		Solver solver = new Solver();
		solver.add(S1.eq(S2).and(x.neq(1)));   // the constraint S1=S2 \(\land\) x\(\neq\)1
		solver.solve();
		y.output();
		solver.showStore();
	}
}

/*
_y = 1
Store: _x neq 1
*/