package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;
import jsetl.exception.Failure;

public class Es13_Minimum {

	private static Solver solver = new Solver();

	public static LVar minValue(LSet S) throws Failure {
		IntLVar x = new IntLVar(), m = new IntLVar();
		Ris R= new Ris(x,S,m.le(x));
		solver.add(m.in(S).and(S.subset(R)));
		solver.solve();
		return m;
	}

	public static void main (String[] args) throws Failure {
		Integer[] sampleSetElems = {8,4,6,2,10,5};
		LSet A = LSet.empty().insAll(sampleSetElems);
		LVar min = minValue(A).setName("min");
		min.output();
	}
}

/*
_min = 2
*/