package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;
import jsetl.exception.Failure;

public class Es16_SquareFunctionInverse {

	private static Solver solver = new Solver();

	public static void main (String[] args) throws Failure {
		IntLVar x = new IntLVar();
		LSet D = new LSet();
		Ris sqr = new Ris(x,D,Constraint.truec(),new LPair(x,x.mul(x)));

		IntLVar y = new IntLVar("y");
		solver.solve(new LPair(y,25).in(sqr));
		y.output();

   }
}

/*
_y = unknown -- Domain: {-5, 5}
*/