package jsetlPaperPrograms.usingRIS2020;

import jsetl.LSet;
import jsetl.LVar;
import jsetl.exception.Failure;

public class Es5_LogicalSets {

	public static void main (String[] args) throws Failure {
		LSet S1 = new LSet("S1"); // an uninitialized logical set
		// with external name "S1"
		LSet S2 = LSet.empty().ins(1,2);    // the set \{1,2\}
		LVar x = new LVar("x");
		LSet S3 = S1.ins(x);      // the set \{x\} \(\cup\) S1      \qed


		S1.output();
		S2.output();
		x.output();
		S3.output();
	}
}

/*
_S1 = unknown
_N1 = {1,2}
_x = unknown
_N2 = {_x/_S1}
*/