package jsetlPaperPrograms.usingRIS2020;

import jsetl.*;

public class Es7_Permutations {

	static private Solver solver = new Solver();

	public static void allPermutations(Integer[] A){
		LSet E = LSet.empty().insAll(A);
		LSet S = LSet.mkSet(A.length);
		solver.add(E.eq(S));
		solver.forEachSolution(i -> {System.out.print(i+")  ");
			S.printElems(' ');});
	}
	    
	public static void main (String[] args) {
		Integer[] elems = {1, 2, 3};
		allPermutations(elems);
	}

}


/*
1)  1 2 3
2)  1 3 2
3)  2 1 3
4)  2 3 1
5)  3 1 2
6)  3 2 1
*/
